{% load static %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Tasks</title>
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if request.user.is_authenticated %}
                        <li>
                            <a href="{% url "show_my_tasks" %}">My tasks</a>
                        </li>
                        <li>
                            <a href="{% url "list_projects" %}">My projects</a>
                        </li>
                        <li>
                            <a href="{% url "logout" %}">Logout</a>
                        {% else %}
                            <li>
                                <a href="{% url "login" %}">Login</a>
                            </li>
                            <li>
                                <a href="{% url "signup" %}">Signup</a>
                            </li>
                        {% endif %}
                    </ul>
                </nav>
            </header>
            <main>
                <div>
                    <h1>My Tasks</h1>
                    {% if task_list %}
                        <table>
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Start date</th>
                                    <th>Due date</th>
                                    <th>Is completed</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for tasks in task_list %}
                                    <tr>
                                        <td>{{ tasks.name }}</td>
                                        <td>{{ tasks.start_date }}</td>
                                        <td>{{ tasks.due_date }}</td>
                                        <td>{{ tasks.is_completed|yesno }}</td>
                                    </tr>
                                {% endfor %}
                            {% else %}
                                <p>You have no tasks</p>
                            {% endif %}
                        </tbody>
                    </table>
                </div>
            </main>
        </body>
    </html>
